## org.eclipse.xsd.impl
Class XSDNamedComponentImpl.Comparator

    java.lang.Object
      org.eclipse.xsd.impl.XSDNamedComponentImpl.Comparator

All Implemented Interfaces:
  java.util.Comparator<XSDNamedComponent>

Enclosing class:
  XSDNamedComponentImpl

    public static class XSDNamedComponentImpl.Comparator

extends java.lang.Object
implements java.util.Comparator<XSDNamedComponent>

Field Summary
`protected XSDPlugin.StringComparator` `collator`
`protected static XSDNamedComponentImpl.Comparator` `instance`

Constructor Summary
`XSDNamedComponentImpl.Comparator()`

Method Summary
`int` `compare(XSDNamedComponent xsdNamedComponent1, XSDNamedComponent xsdNamedComponent2)`
`boolean` `equals(java.lang.Object that)`
`static XSDNamedComponentImpl.Comparator` `getInstance()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static XSDNamedComponentImpl.Comparator instance

### collator

    protected XSDPlugin.StringComparator collator

Constructor Detail

### XSDNamedComponentImpl.Comparator

    public XSDNamedComponentImpl.Comparator()

Method Detail

### getInstance

    public static XSDNamedComponentImpl.Comparator getInstance()

### equals

    public boolean equals(java.lang.Object that)

  Specified by:
    `equals` in interface `java.util.Comparator<XSDNamedComponent>`
  Overrides:
    `equals` in class `java.lang.Object`

### compare

    public int compare(XSDNamedComponent xsdNamedComponent1,
                       XSDNamedComponent xsdNamedComponent2)

  Specified by:
    `compare` in interface `java.util.Comparator<XSDNamedComponent>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.